/* util/realloc.c - compatability with GNU C Library realloc

   This file is part of the chainsort package.
   Written by Dean Scarff <p00ya @AT users.sourceforge .DOT net>

   Copyright (c) 2002, 2003 Dean Scarff
    Licensed under the Academic Free License version 1.2 */

#if HAVE_CONFIG_H 
# include <config.h> 
#endif 
#undef realloc 
#include <sys/types.h>

void *realloc (); 
/* Resize a block of memory to N-bytes on the heap. If N is zero, allocate 
   a 1-byte block.  If PTR is NUL, behave like malloc (NEWSIZE). */
void * rpl_realloc (void *ptr, size_t newsize)
{ 
  if (newsize == 0)
    newsize = 1;
  if (ptr == 0)
    return malloc (newsize);
  return realloc (ptr, newsize);
} 
